Bug 1795555 - Provide a way for privileged users to interact with systemd user instances
Summary: Provide a way for privileged users to interact with systemd user instances
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: systemd
Version: 8.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 8.0
Assignee: David Tardon
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
: 1907903 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-28 10:12 UTC by Renaud Métrich
Modified: 2021-04-21 10:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github systemd systemd issues 14580 0 None closed systemctl -M user@.host VERB should work 2021-01-26 08:57:05 UTC
Red Hat Knowledge Base (Solution) 4661741 0 None None None 2020-01-28 10:14:51 UTC

Description Renaud Métrich 2020-01-28 10:12:48 UTC
Description of problem:

With RHEL8.x, users can have their own systemd instance, but there is no way for the root user or privileged users (e.g. in "wheel" group) to manage the systemd user instances at all.

So far, the only way is to use "sudo+XDG_RUNTIME_DIR" which is not a good solution: 

$ sudo -u user1 /bin/bash -c "export XDG_RUNTIME_DIR=/run/user/$(id -u user1); /usr/bin/systemctl --user list-units"


Version-Release number of selected component (if applicable):

systemd-239+


How reproducible:

N/A


Additional info:


See also:
https://github.com/systemd/systemd/issues/14580

Comment 3 David Tardon 2021-01-04 12:57:14 UTC
*** Bug 1907903 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.